Create an ephemeral repository branch - Spacefast Docs

Create an ephemeral repository branch

Create a short-lived repository branch for previews, experiments, and agent edits.

Endpoint

POST /v1/spaces/{spaceId}/source/ephemeral-branch

Authorization

Authorization: Bearer <token> with an API key (sfa_ prefix), an OAuth access token, a session token, or a Space machine credential (sfm_ prefix).

or

Authorization: OAuth2 access token with Spacefast scopes. People use the authorization code flow; machines use client credentials.

Scopes: spaces:write

Path parameters

Query parameters

Request body

Required: application/json

Responses

201 Response for status 201